Bug 1419273 - Rebase to the version 1.0.0
Summary: Rebase to the version 1.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sysbench
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1419272 1431669
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 15:49 UTC by Honza Horak
Modified: 2017-05-15 04:34 UTC (History)
2 users (show)

Fixed In Version: sysbench-1.0.5-1.fc26 sysbench-1.0.5-1.fc24 sysbench-1.0.5-1.el7 sysbench-1.0.5-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 14:10:35 UTC
Type: Bug


Attachments (Terms of Use)
Patch for the spec to rebase to 1.0.0 (2.24 KB, patch)
2017-02-04 15:49 UTC, Honza Horak
no flags Details | Diff
Patch for the spec to rebase to 1.0.0 (2.23 KB, patch)
2017-02-12 20:38 UTC, Honza Horak
no flags Details | Diff

Description Honza Horak 2017-02-04 15:49:00 UTC
Created attachment 1247708 [details]
Patch for the spec to rebase to 1.0.0

Description of problem:
There is a new version available, it is the first one declared GA, 1.0.0. It requires luajit, which is already in Fedora, and also Concurency Kit (ck), which is not yet.

There is a Package Review for the ck though:
https://bugzilla.redhat.com/show_bug.cgi?id=1419272

Patch for the spec is attached.

Comment 1 Honza Horak 2017-02-12 20:38:31 UTC
Created attachment 1249678 [details]
Patch for the spec to rebase to 1.0.0

There was a mass rebuild, so rebasing the patch.

Also, the ck is now built in rawhide, so rebase is possible. I've asked for the commit request, if you'd be ok me doing the job..

Comment 2 Xavier Bachelot 2017-02-12 20:55:30 UTC
Sure, please go ahead, I've approved the ACL request.
Are you planning to push ck to older Fedora branches and also EPEL ? I'd like them to be updated as well, if possible.

Comment 3 Xavier Bachelot 2017-02-27 19:28:07 UTC
I've applied your patch, updated to 1.0.3 and added the missing bits to run the test suite. I also added an ExclusiveArch to account for the missing luajit for ppc64 and ppc64le.

sysbench still fails to build for i686, aarch64 and armv7hl though, I haven't looked carefully why yet. i686 seems related to ck while aarch64 and armv7hl are a configure issue (failed to autodetect compiler flags for this architecture).

If you want to take a look, the latest failed build is here :
https://koji.fedoraproject.org/koji/taskinfo?taskID=18098147

Comment 4 Fedora End Of Life 2017-02-28 11:11:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Xavier Bachelot 2017-02-28 15:08:35 UTC
aarch64 and armv7hl are fixed, although I add to disable running the test suite for aarch64 as it segfaults in koji (but not on a different hardware from a kind folk in #fedora-arm).
https://koji.fedoraproject.org/koji/taskinfo?taskID=18108174

Now, there is the issue on i686...
https://kojipkgs.fedoraproject.org//work/tasks/8206/18108206/build.log

Comment 6 Xavier Bachelot 2017-03-08 10:43:52 UTC
i686 builds fine with bundled ck, but not system ck.
I've filed an issue upstream :
https://github.com/akopytov/sysbench/issues/118

Comment 7 Xavier Bachelot 2017-03-13 14:52:42 UTC
sysbench 1.0.4 is fixing the build on i686.
Built for rawhide, f26, f25 and f24.
Not built yet for epel7, as luajit needs to be rebuilt there to grow aarch64 support.

Comment 8 Fedora Update System 2017-03-13 18:39:22 UTC
sysbench-1.0.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09fadc10ed

Comment 9 Fedora Update System 2017-03-13 18:39:35 UTC
sysbench-1.0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ef9cf8e44

Comment 10 Fedora Update System 2017-03-13 18:39:43 UTC
sysbench-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec0d29da4e

Comment 11 Fedora Update System 2017-03-13 18:39:51 UTC
sysbench-1.0.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6a621368a0

Comment 12 Fedora Update System 2017-03-14 03:22:29 UTC
sysbench-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec0d29da4e

Comment 13 Fedora Update System 2017-03-14 18:19:21 UTC
sysbench-1.0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ef9cf8e44

Comment 14 Fedora Update System 2017-03-14 18:21:48 UTC
sysbench-1.0.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09fadc10ed

Comment 15 Fedora Update System 2017-03-14 23:18:50 UTC
sysbench-1.0.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6a621368a0

Comment 16 Fedora Update System 2017-04-07 09:33:18 UTC
sysbench-1.0.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ba20e4371

Comment 17 Fedora Update System 2017-04-07 09:33:36 UTC
sysbench-1.0.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69762e2b66

Comment 18 Fedora Update System 2017-04-07 09:33:50 UTC
sysbench-1.0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c929a8c5fa

Comment 19 Fedora Update System 2017-04-07 09:34:04 UTC
sysbench-1.0.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dccf2b96f

Comment 20 Fedora Update System 2017-04-07 18:50:33 UTC
sysbench-1.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c929a8c5fa

Comment 21 Fedora Update System 2017-04-07 19:54:27 UTC
sysbench-1.0.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ba20e4371

Comment 22 Fedora Update System 2017-04-07 19:58:26 UTC
sysbench-1.0.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69762e2b66

Comment 23 Fedora Update System 2017-04-07 21:21:59 UTC
sysbench-1.0.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7dccf2b96f

Comment 24 Fedora Update System 2017-05-12 14:10:35 UTC
sysbench-1.0.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-05-12 19:22:20 UTC
sysbench-1.0.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-05-13 02:26:14 UTC
sysbench-1.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-05-15 04:34:40 UTC
sysbench-1.0.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.